rte_node_ip6_api.h(3)

NAME
rte_node_ip6_api.h

SYNOPSIS

#include <rte_common.h>
#include <rte_compat.h>
#include <rte_fib6.h>
#include <rte_ip6.h>

  Enumerations

enum rte_node_ip6_lookup_next { RTE_NODE_IP6_LOOKUP_NEXT_REWRITE, RTE_NODE_IP6_LOOKUP_NEXT_PKT_DROP }

  Functions

__rte_experimental int rte_node_ip6_route_add (const struct rte_ipv6_addr *ip, uint8_t depth, uint16_t next_hop, enum rte_node_ip6_lookup_next next_node)
__rte_experimental int rte_node_ip6_rewrite_add (uint16_t next_hop, uint8_t *rewrite_data, uint8_t rewrite_len, uint16_t dst_port)
__rte_experimental int rte_node_ip6_fib_create (int socket, struct rte_fib6_conf *conf)
__rte_experimental int rte_node_ip6_fib_route_add (const struct rte_ipv6_addr *ip, uint8_t depth, uint16_t next_hop, enum rte_node_ip6_lookup_next next_node)

Detailed Description

Warning
    EXPERIMENTAL: All functions in this file may be changed or removed without prior notice.

This API allows to do control path functions of ip6_* nodes like ip6_lookup, ip6_rewrite.

Definition in file rte_node_ip6_api.h.

Enumeration Type Documentation

  enum rte_node_ip6_lookup_next
IP6 lookup next nodes.

Enumerator

RTE_NODE_IP6_LOOKUP_NEXT_REWRITE
    Rewrite node.

RTE_NODE_IP6_LOOKUP_NEXT_PKT_DROP
    Packet drop node.

Definition at line 30 of file rte_node_ip6_api.h.

Function Documentation

  __rte_experimental int rte_node_ip6_route_add (const struct rte_ipv6_addr * ip, uint8_t depth, uint16_t next_hop, enum rte_node_ip6_lookup_next next_node)
Add IPv6 route to lookup table.

Parameters
    ip IPv6 address of route to be added.
    depth Depth of the rule to be added.
    next_hop Next hop id of the rule result to be added.
    next_node Next node to redirect traffic to.

Returns
    0 on success, negative otherwise.

  __rte_experimental int rte_node_ip6_rewrite_add (uint16_t next_hop, uint8_t * rewrite_data, uint8_t rewrite_len, uint16_t dst_port)
Add a next hop's rewrite data.

Parameters
    next_hop Next hop id to add rewrite data to.
    rewrite_data Rewrite data.
    rewrite_len Length of rewrite data.
    dst_port Destination port to redirect traffic to.

Returns
    0 on success, negative otherwise.

  __rte_experimental int rte_node_ip6_fib_create (int socket, struct rte_fib6_conf * conf)
Create ipv6 FIB.

Parameters
    socket NUMA socket for FIB memory allocation.
    conf Structure containing FIB configuration.

Returns
    0 on success, negative otherwise.

  __rte_experimental int rte_node_ip6_fib_route_add (const struct rte_ipv6_addr * ip, uint8_t depth, uint16_t next_hop, enum rte_node_ip6_lookup_next next_node)
Add IPv6 route to FIB.

Parameters
    ip IPv6 address of route to be added.
    depth Depth of the rule to be added.
    next_hop Next hop id of the rule result to be added.
    next_node Next node to redirect traffic to.

Returns
    0 on success, negative otherwise.

Author

Generated automatically by Doxygen for DPDK from the source code.